8 Replies Latest reply on Nov 6, 2017 11:09 AM by Howiedog

    vCenter Server 6.5 for Windows OR VCSA 6.5?

    alex.wu Novice

      Hi All,

       

      With vSphere 6.5, can we completely abandon vCenter server 6.5 for windows? is VCSA 6.5 able to take the place of vCenter for windows? 

       

      Regards

        • 1. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
          AaronRose Novice

          I think as with most things the answer is...it depends.

           

          You certainly still have sizing that needs to be taken into consideration. Event with the update the VCSA 6.5 can't handle as much with it's internal database as a windows setup using an external database. More than that you may be adding a complication if you plan on using Horizon View for a vdi deployment.  Both the composer and connection server need an external database to connect to.  At that point in my mind you might as well use a windows Vcenter Deployment since you are already creating an external database for the other components. 

           

          That is my two cents.

          • 2. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
            a.p. Guru
            vExpertCommunity WarriorsUser Moderators

            I'd basically say yes, with version 6.5 the vCSA is now a real alternative to the Windows version.

            Maybe worth reading  The Future of vCenter Server

            ... we plan to make this the definitive deployment model in the future.

            André

            1 person found this helpful
            • 3. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
              alex.wu Novice

              thanks.

               

              Do you mean VCSA 6.5 does not support Horizon View?

               

              If I only have 10 ESXi hosts to manage, then VCSA 6.5 is enough. (with the same features as vCenter's)

               

              if we will use Horizion View, then vCenter is a must choice, right?

              • 4. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
                AaronRose Novice

                No, I would not say that VCSA 6.5 does not support Horizon View, it is more about the database setup.  VCSA uses an internal database to store inventory information.  Horizon View needs to connect to an external SQL database to store event information and Composer (part of the view deployment) needs to create a coposer database as well on and external SQL database.  These components of Horizon view currently have no capability to create their own internal database (postgre or otherwise) the way that VCSA does.  You may be able to connect them to the postgre database but I have seen that supported or done anywhere. 

                 

                So if you have a Horizon View deployment you already have the requirement of an external database, windows sql or oracle.   Since you already have one in your environment, deploying the VCSA doesn't save you the trouble of setting one up. 

                 

                I hope that explains my position.

                • 5. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
                  jhboricua Novice

                  AaronRose

                  Event with the update the VCSA 6.5 can't handle as much with it's internal database as a windows setup using an external database

                  That is incorrect. Since 6.0 the VCSA appliance with embedded postgresql has been on par with the Windows vCenter/MS SQL in terms of maximum number of objects supported, as long as you size it correctly. The only time that statement was correct was pre VCSA 6.0, or if you deploy a Windows vCenter Server with the embedded postgresql db. That particular combo limits the number of hosts to 20. But then again, why would you do that?

                   

                  It's all here: https://www.vmware.com/pdf/vsphere6/r65/vsphere-65-configuration-maximums.pdf

                   

                  Now, that Horizon View requires an external database to connect to is an entire different matter that, in my opinion, should not dictate how to deploy vCenter. I don't agree with the reasoning that just because Horizon requires an external database you might as well simply deploy a windows vCenter too. They are two different products and should be treated as such.

                   

                  For me it comes down to what are you comfortable with from a support standpoint. If you're a MS shop and dealing with a Linux appliance is not your cup of tea, deploy vcenter on windows and eat the cost of the SQL license to host the database. If, on the other hand, you're comfortable with linux and want to save on MS licenses, go VCSA.

                   

                  However, keep in mind that VCSA is the direction that VMware is going so you might as well start getting comfortable with it. It will pay in the long run.

                   

                  So to alex.wu my answer is absolutely yes, the VCSA 6.5 can completely replace a windows deployment of vCenter, especially now that update manager no longer requires to be run on a windows server as it was with VCSA 6.0. You also have several high availability options in which to deploy VCSA 6.5 that were not available previously.

                  2 people found this helpful
                  • 6. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
                    alex.wu Novice

                    thank you very much.

                    • 7. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
                      petermie Novice

                      Make sure you have good working backups, done through the appliance (or powercli invoked through the appliance) not with an image level system like VEEAM. We have had nothing but problems with our VCSA 6.5 to the point where it's like every time the GUI refreshes in an unexpected way I get nervous. Unexpected shutdown? There's a good chance you corrupted your filesystem or database and you'll have to restore and/or redeploy. It's definitely not nearly as resilient as Windows is it seems.

                      1 person found this helpful
                      • 8. Re: vCenter Server 6.5 for Windows OR VCSA 6.5?
                        Howiedog Novice

                        Please confirm. You are saying that VCSA6 or 6.5 CANNOT be backup successfully using VEEAM?? Why Not?

                        I would need proof of this and if this is the case, I would also need to know is this coming from VMWARE or VEEAM??

                         

                        Either way, if this is true, then we are going to have a very serious problem here.